classification
Title: struni: Replace assert_(==) with failUnlessEqual
Type: Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: christian.heimes, gvanrossum
Priority: normal Keywords: patch

Created on 2007-07-10 22:25 by christian.heimes, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
newpatch.diff christian.heimes, 2007-07-11 00:01 new patch - more conservative and manually checked
Messages (4)
msg52820 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-07-10 22:25
Patch for py3k-struni branch

It replaces assert_(foo == bar) and failUnless(foo == bar) with failUnlessEqual(foo, bar). It makes debugging the error MUCH easier to see both values.
msg52821 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-07-11 00:01
File Added: newpatch.diff
msg52822 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-07-11 12:11
check it in!
msg52823 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-07-11 12:27
Sorry, that was meant for another patch.

I've checked this one in now, after changing failUnlessEqual with assertEqual (the double negative trips me up in reading code using failUnlessXXX all the time).
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: + Python 3.0
2007-07-10 22:25:12christian.heimescreate